List Card purchase documents
curl --request GET \
--url https://api.sandbox.trio.com.br/banking/cards/purchases \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.sandbox.trio.com.br/banking/cards/purchases"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.sandbox.trio.com.br/banking/cards/purchases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"receipt_url": "https://app.trio.com.br/receipt/0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b",
"is_partially_allowed": false,
"holder_id": "0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b",
"inserted_at": "2021-01-01T00:00:00Z",
"wallet_id": "0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b",
"entity_id": "0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b",
"issuer_amount": {
"amount": 10000,
"currency": "BRL"
},
"category_type": "restaurants",
"tax": {
"amount": 10,
"currency": "BRL"
},
"merchant_country_code": "BR",
"card_id": "0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b",
"category_code": "foodAndBeverages",
"method_code": "manual",
"company_id": "0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b",
"status": "confirmed",
"updated_at": "2021-01-01T00:00:00Z",
"description": "description",
"id": "0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b",
"purpose": "purchase",
"merchant_amount": {
"amount": 10000,
"currency": "BRL"
},
"merchant_currency_symbol": "R$",
"zip_code": "000000-000",
"merchant_name": "John Doe Store",
"category_id": "0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b",
"error_code": "null",
"error_message": "null",
"end_to_end_id": "EE202506111406IVIN5pXVoyp",
"timestamp": "2021-01-01T00:00:00Z",
"org_id": "0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b",
"compress_timestamp": "2021-01-01T00:00:00Z",
"amount": {
"amount": 10000,
"currency": "BRL"
},
"score": "1.0",
"merchant_id": "0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}Cards
List Card Purchase Documents
List Card purchase documents
GET
/
banking
/
cards
/
purchases
List Card purchase documents
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Entity ID Unique identifier
From datetime
To datetime
Card ID Unique identifier
Category Code
Category Type
Parameter used for pagination. It is a base64 encoded param used to access the previous page of results. It is provided alongside a metadata section if there is a previous page.
Parameter used for pagination. It's a base64 encoded param used to access the previous page of results. Provided along with the data in the metadata section if there is a previous page.
Parameter used for pagination.
Status
Order by
Response
Documents
A List of Purchase Documents
Show child attributes
Show child attributes
⌘I

